Browse Source

Remove SBs for packages provided in latest current.

current-20200608
parent
commit
fc8d240dca
  1. 149
      l/PyQt5/PyQt5.SlackBuild
  2. 1
      l/PyQt5/PyQt5_gpl-5.13.1.tar.gz.sha256
  3. 12
      l/PyQt5/slack-desc
  4. 1
      l/QScintilla-qt5/QScintilla-2.11.4.tar.gz.sha256
  5. 117
      l/QScintilla-qt5/QScintilla-qt5.SlackBuild
  6. 12
      l/QScintilla-qt5/slack-desc
  7. 1
      l/cracklib/cracklib-2.9.7.tar.gz.sha256
  8. 144
      l/cracklib/cracklib.SlackBuild
  9. 12
      l/cracklib/slack-desc
  10. 1
      l/hyphen/hyphen-2.8.8.tar.gz.sha256
  11. 118
      l/hyphen/hyphen.SlackBuild
  12. 12
      l/hyphen/slack-desc
  13. 13
      l/libpwquality/doinst.sh
  14. 1
      l/libpwquality/libpwquality-1.4.2.tar.bz2.sha256
  15. 151
      l/libpwquality/libpwquality.SlackBuild
  16. 12
      l/libpwquality/slack-desc
  17. 1
      l/libxkbcommon/libxkbcommon-0.9.1.tar.xz.sha256
  18. 119
      l/libxkbcommon/libxkbcommon.SlackBuild
  19. 12
      l/libxkbcommon/slack-desc
  20. 1
      l/pygments/Pygments-2.4.2.tar.gz.sha256
  21. 102
      l/pygments/pygments.SlackBuild
  22. 12
      l/pygments/slack-desc
  23. 1
      l/python-distro/distro-1.4.0.tar.gz.sha256
  24. 104
      l/python-distro/python-distro.SlackBuild
  25. 12
      l/python-distro/slack-desc
  26. 1
      l/python-future/future-0.18.2.tar.gz.sha256
  27. 110
      l/python-future/python-future.SlackBuild
  28. 12
      l/python-future/slack-desc
  29. 9
      l/qt5-webkit/doinst.sh
  30. 160
      l/qt5-webkit/qt5-webkit.SlackBuild
  31. 47
      l/qt5-webkit/qt5-webkit.icu65.patch
  32. 1
      l/qt5-webkit/qtwebkit-5.212.0-alpha3.tar.gz.sha256
  33. 12
      l/qt5-webkit/slack-desc
  34. 9
      l/qt5/doinst.sh
  35. 11
      l/qt5/patches/qt5.mysql.h.diff
  36. 14
      l/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch
  37. 35
      l/qt5/patches/qt5.qtbug-76255.patch
  38. 89
      l/qt5/patches/qt5.qtbug-77037.patch
  39. 13
      l/qt5/patches/qt5.qtbug-77364.patch
  40. 17
      l/qt5/profile.d/qt5.csh
  41. 17
      l/qt5/profile.d/qt5.sh
  42. 1
      l/qt5/qt-everywhere-src-5.13.1.tar.xz.sha256
  43. 337
      l/qt5/qt5.SlackBuild
  44. 12
      l/qt5/slack-desc
  45. 1
      n/NetworkManager-openvpn/NetworkManager-openvpn-1.8.10.tar.xz.sha256
  46. 118
      n/NetworkManager-openvpn/NetworkManager-openvpn.SlackBuild
  47. 12
      n/NetworkManager-openvpn/slack-desc

149
l/PyQt5/PyQt5.SlackBuild

@ -1,149 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest PyQt5 sourcecode is available at:
# <https://riverbankcomputing.com/software/pyqt/intro/>.
#
# Depends: l/python-enum34, l/qt5-webkit
# Source package infos
NAMESRC=${NAMESRC:-PyQt5}
VERSION=${VERSION:-5.13.1}
ARCHIVE=${ARCHIVE:-${NAMESRC}_gpl-$VERSION.tar.gz}
WGET=${WGET:-https://www.riverbankcomputing.com/static/Downloads/PyQt5/$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-PyQt5}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
# We install for Python 3 first so that the Python 2 version,
# compiled later, will end up being the default. This is for
# consistency with what Pat has done for PyQt4.
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
python3 configure.py \
--confirm-license \
--verbose \
--sip=/usr/bin/sip3 \
--sip-incdir=/usr/include/python3.7m \
--qmake /usr/bin/qmake-qt5
make -j $JOBS
make install INSTALL_ROOT=$PKG
make clean
for f in pyrcc5 pyuic5 pylupdate5 ; do
mv $PKG/usr/bin/$f $PKG/usr/bin/$f-py3
done
# And now for Python 2
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
python2 configure.py \
--confirm-license \
--verbose \
--sip=/usr/bin/sip2 \
--sip-incdir=/usr/include/python2.7 \
--qmake /usr/bin/qmake-qt5
make -j $JOBS
make install INSTALL_ROOT=$PKG
# Strip binaries
find $PKG | xargs file | grep "ELF \(32\|64\)-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 ChangeLog LICENSE NEWS README $PKG/usr/doc/$NAMEPKG-$VERSION
# Copy slack-desc files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Add dependency infos
cat <<EOF > $PKG/install/slack-required
python-enum34
qt5-webkit
EOF
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

1
l/PyQt5/PyQt5_gpl-5.13.1.tar.gz.sha256

@ -1 +0,0 @@
54b7f456341b89eeb3930e786837762ea67f235e886512496c4152ebe106d4af PyQt5_gpl-5.13.1.tar.gz

12
l/PyQt5/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
PyQt5: PyQt5 (Python bindings for Qt5)
PyQt5:
PyQt5: PyQt5 is a set of Python bindings for the Qt application framework.
PyQt5:
PyQt5:
PyQt5:
PyQt5:
PyQt5:
PyQt5:
PyQt5:
PyQt5:

1
l/QScintilla-qt5/QScintilla-2.11.4.tar.gz.sha256

@ -1 +0,0 @@
723f8f1d1686d9fc8f204cd855347e984322dd5cd727891d324d0d7d187bee20 QScintilla-2.11.4.tar.gz

117
l/QScintilla-qt5/QScintilla-qt5.SlackBuild

@ -1,117 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2018,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest QScintilla_gpl sourcecode is available at:
# >https://www.riverbankcomputing.com/software/qscintilla/intro>.
#
# Depends: l/PyQt5
# Source package infos
NAMESRC=${NAMESRC:-QScintilla}
VERSION=${VERSION:-2.11.4}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://www.riverbankcomputing.com/static/Downloads/QScintilla/$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-QScintilla-qt5}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
LIBDIRSUFFIX=
[ x$ARCH == xx86_64 ] && LIBDIRSUFFIX=64
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile Qt5 port
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME/Qt4Qt5
qmake-qt5
make -j $JOBS
make install INSTALL_ROOT=$PKG
# Compile Python bindings
cd ../Python
python3 configure.py \
--pyqt=PyQt5 \
--qmake=/usr/bin/qmake-qt5 \
--pyqt-sipdir=/usr/share/sip/PyQt5 \
--qsci-incdir=$PKG/usr/include/qt5 \
--qsci-featuresdir=$PKG/usr/lib$LIBDIRSUFFIX/qt5/mkspecs/features \
--qsci-libdir=$PKG/usr/lib$LIBDIRSUFFIX
make -j $JOBS
make install INSTALL_ROOT=$PKG
# Strip binaries
find $PKG | xargs file | grep "ELF \(32\|64\)-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Add dependency infos
cat <<EOF > $PKG/install/slack-required
PyQt5
EOF
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/QScintilla-qt5/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
QScintilla-qt5: QScintilla-qt5 (Scintilla editing component for Qt)
QScintilla-qt5:
QScintilla-qt5: QScintilla is a Qt port of the Scintilla editing component.
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:
QScintilla-qt5:

1
l/cracklib/cracklib-2.9.7.tar.gz.sha256

@ -1 +0,0 @@
8b6fd202f3f1d8fa395d3b7a5d821227cfd8bb4a9a584a7ae30cf62cea6287dd cracklib-2.9.7.tar.gz

144
l/cracklib/cracklib.SlackBuild

@ -1,144 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest cracklib sourcecode is available at:
# <https://github.com/cracklib/cracklib>.
# Source package infos
NAMESRC=${NAMESRC:-cracklib}
VERSION=${VERSION:-2.9.7}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://github.com/cracklib/cracklib/releases/download/v$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-cracklib}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
mkdir build1 build2
(cd build1
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
../configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--disable-static \
--disable-dependency-tracking \
--build=$ARCH-slackware-linux
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install dictionary
sh ../util/cracklib-format ../dicts/cracklib-small | \
./util/cracklib-packer $PKG/usr/share/cracklib/pw_dict
)
# Now build the Python3. Unfortunately that requires some
# crude editing of the build system, which is otherwise
# unable to find the Python 3 headers.
(cd build2
sed -i -e 's,python${PYTHON_VERSION}/Python.h,python${PYTHON_VERSION}m/Python.h,' ../configure
PYTHON=python3 \
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
../configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--disable-static \
--disable-dependency-tracking \
--build=$ARCH-slackware-linux
sed -i -e 's,python3.7/Python.h,python3.7m/Python.h,' python/Makefile
make -j $JOBS
make -C python install DESTDIR=$PKG
)
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING.LIB NEWS README* $PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/cracklib/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
cracklib: cracklib (a password strength-checking library)
cracklib:
cracklib: CrackLib tests passwords to determine whether they match certain
cracklib: security-oriented characteristics.
cracklib:
cracklib:
cracklib:
cracklib:
cracklib:
cracklib:
cracklib:

1
l/hyphen/hyphen-2.8.8.tar.gz.sha256

@ -1 +0,0 @@
304636d4eccd81a14b6914d07b84c79ebb815288c76fe027b9ebff6ff24d5705 hyphen-2.8.8.tar.gz

118
l/hyphen/hyphen.SlackBuild

@ -1,118 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2016 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest hyphen sourcecode is available at:
# <https://sourceforge.net/projects/hunspell/files/Hyphen/>.
# Source package infos
NAMESRC=${NAMESRC:-hyphen}
VERSION=${VERSION:-2.8.8}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-http://downloads.sourceforge.net/hunspell/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-hyphen}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--disable-static
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING{,.LGPL,.MPL} ChangeLog NEWS \
README{,.compound,.hyphen,.nonstandard,_hyph_en_US.txt} \
THANKS TODO $PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/hyphen/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
hyphen: hyphen (hyphenation library)
hyphen:
hyphen: This package provides a hyphenation library to use converted TeX
hyphen: hyphenation patterns.
hyphen:
hyphen:
hyphen:
hyphen:
hyphen:
hyphen:
hyphen:

13
l/libpwquality/doinst.sh

@ -1,13 +0,0 @@
#!/bin/sh
config()
{
NEW="$1"
OLD="`dirname $NEW`/`basename $NEW .new`"
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
rm $NEW
fi
}
config etc/security/pwquality.conf.new

1
l/libpwquality/libpwquality-1.4.2.tar.bz2.sha256

@ -1 +0,0 @@
5263e09ee62269c092f790ac159112aed3e66826a795e3afec85fdeac4281c8e libpwquality-1.4.2.tar.bz2

151
l/libpwquality/libpwquality.SlackBuild

@ -1,151 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest libpwquality sourcecode is available at:
# <https://github.com/libpwquality/libpwquality>.
#
# Depends: l/cracklib
# Source package infos
NAMESRC=${NAMESRC:-libpwquality}
VERSION=${VERSION:-1.4.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-https://github.com/libpwquality/libpwquality/releases/download/libpwquality-$VERSION/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-libpwquality}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
--disable-static \
--disable-dependency-tracking \
--build=$ARCH-slackware-linux
make -j $JOBS
make install-strip DESTDIR=$PKG
# Now build the Python 3 module. The build system does not
# support VPATH builds, so we need to clean up the previous
# build and configure again in the same directory.
make distclean
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
--disable-static \
--disable-dependency-tracking \
--with-python-binary=python3 \
--build=$ARCH-slackware-linux
make -j $JOBS
make -C python install-strip DESTDIR=$PKG
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
rmdir $PKG/usr/man/man8
# Protect configuration file
mv $PKG/etc/security/pwquality.conf $PKG/etc/security/pwquality.conf.new
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$NAME
# Copy slack-desc and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Add dependency infos
cat <<EOF > $PKG/install/slack-required
cracklib
EOF
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/libpwquality/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
libpwquality: libpwquality (password generation and quality checking)
libpwquality:
libpwquality: Libpwquality is a library for password quality checks and generation
libpwquality: of random passwords that pass the checks.
libpwquality:
libpwquality:
libpwquality:
libpwquality:
libpwquality:
libpwquality:
libpwquality:

1
l/libxkbcommon/libxkbcommon-0.9.1.tar.xz.sha256

@ -1 +0,0 @@
d4c6aabf0a5c1fc616f8a6a65c8a818c03773b9a87da9fbc434da5acd1199be0 libxkbcommon-0.9.1.tar.xz

119
l/libxkbcommon/libxkbcommon.SlackBuild

@ -1,119 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest libxkbcommon sourcecode is available at: <https://xkbcommon.org/>.
# Source package infos
NAMESRC=${NAMESRC:-libxkbcommon}
VERSION=${VERSION:-0.9.1}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.xz}
WGET=${WGET:-https://xkbcommon.org/download/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-libxkbcommon}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
meson setup build \
--prefix=/usr \
-Denable-wayland=false
(cd build
ninja
DESTDIR=$PKG ninja install
)
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 LICENSE NEWS README.md $PKG/usr/doc/$NAME
# Fuck you Meson, the autotools have provided --docdir for decades
mv $PKG/usr/share/doc/libxkbcommon/html $PKG/usr/doc/$NAME/html
rm -rf $PKG/usr/share
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/libxkbcommon/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
libxkbcommon: libxkbcommon (keyboard keymap compiler and library)
libxkbcommon:
libxkbcommon: Libxkbcommon is a keyboard keymap compiler and support library
libxkbcommon: which processes a reduced subset of keymaps as defined by the XKB
libxkbcommon: (X Keyboard Extension) specification. It also contains a module for
libxkbcommon: handling Compose and dead keys.
libxkbcommon:
libxkbcommon:
libxkbcommon:
libxkbcommon:
libxkbcommon:

1
l/pygments/Pygments-2.4.2.tar.gz.sha256

@ -1 +0,0 @@
881c4c157e45f30af185c1ffe8d549d48ac9127433f2c380c24b84572ad66297 Pygments-2.4.2.tar.gz

102
l/pygments/pygments.SlackBuild

@ -1,102 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2011-2013,2016,2018,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest Pygments sourcecode is available at: <http://pygments.org/>.
# Source package infos
NAMESRC=${NAMESRC:-Pygments}
VERSION=${VERSION:-2.4.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://files.pythonhosted.org/packages/7e/ae/26808275fc76bf2832deb10d3a3ed3107bc4de01b85dcccbe525f2cd6d1e/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-pygments}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
python2 setup.py build
python2 setup.py install --root=$PKG
mv $PKG/usr/bin/pygmentize $PKG/usr/bin/pygmentize-2.7
python3 setup.py build
python3 setup.py install --root=$PKG
# Let the un-suffixed file be the -3.7 executable
# Install man page
install -D -m 644 doc/pygmentize.1 $PKG/usr/man/man1/pygmentize.1
gzip -9 $PKG/usr/man/man1/pygmentize.1
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 AUTHORS CHANGES LICENSE TODO README.rst \
$PKG/usr/doc/$NAMEPKG-$VERSION
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/pygments/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
pygments: pygments (syntax highlighting package for Python)
pygments:
pygments: Pygments is a syntax highlighting package written in Python. It is a
pygments: generic syntax highlighter for general use in all kinds of software
pygments: such as forum systems, wikis or other applications that need to
pygments: prettify source code.
pygments:
pygments:
pygments:
pygments:
pygments:

1
l/python-distro/distro-1.4.0.tar.gz.sha256

@ -1 +0,0 @@
362dde65d846d23baee4b5c058c8586f219b5a54be1cf5fc6ff55c4578392f57 distro-1.4.0.tar.gz

104
l/python-distro/python-distro.SlackBuild

@ -1,104 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest distro sourcecode is available at:
# <https://github.com/nir0s/distro>.
# Source package infos
NAMESRC=${NAMESRC:-distro}
VERSION=${VERSION:-1.4.0}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://files.pythonhosted.org/packages/ca/e3/78443d739d7efeea86cbbe0216511d29b2f5ca8dbf51a6f2898432738987/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-python-distro}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
python2 setup.py build
python2 setup.py install --root=$PKG
python3 setup.py build
python3 setup.py install --root=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 CHANGELOG.md CONTRIBUTING.md CONTRIBUTORS.md LICENSE README.md \
$PKG/usr/doc/$NAMEPKG-$VERSION
# Build API docs if Sphinx is available
if type -p sphinx-build ; then
sphinx-build -b html -c docs . html
cp -r html $PKG/usr/doc/$NAMEPKG-$VERSION/html
fi
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/python-distro/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
python-distro: python-distro (an OS platform information API)
python-distro:
python-distro: This Python module provides information about the OS distribution it
python-distro: runs on, such as a reliable machine-readable ID, or version
python-distro: information.
python-distro:
python-distro:
python-distro:
python-distro:
python-distro:
python-distro:

1
l/python-future/future-0.18.2.tar.gz.sha256

@ -1 +0,0 @@
b1bead90b70cf6ec3f0710ae53a525360fa360d306a86583adc6bf83a4db537d future-0.18.2.tar.gz

110
l/python-future/python-future.SlackBuild

@ -1,110 +0,0 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2018,2019 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest future sourcecode is available at: <https://python-future.org>.
# Source package infos
NAMESRC=${NAMESRC:-future}
VERSION=${VERSION:-0.18.2}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://files.pythonhosted.org/packages/45/0b/38b06fd9b92dc2b68d58b75f900e97884c45bedd2ff83203d933cf5851c9/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-python-future}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exists or is not a directory!"
exit 1
fi
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
python2 setup.py build
python2 setup.py install --root=$PKG
for f in futurize pasteurize ; do
mv $PKG/usr/bin/$f $PKG/usr/bin/$f-2.7
done
# And now for Python 3
rm -rf build
python3 setup.py build
python3 setup.py install --root=$PKG
for f in futurize pasteurize ; do
mv $PKG/usr/bin/$f $PKG/usr/bin/$f-3.7
done
# Add default symlinks to the -2.7 executables
for f in futurize pasteurize ; do
ln -s $f-2.7 $PKG/usr/bin/$f
done
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMEPKG-$VERSION
install -m 644 LICENSE.txt PKG-INFO README.rst TESTING.txt $PKG/usr/doc/$NAMEPKG-$VERSION
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/python-future/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler-----------------------------------------------------|
python-future: python-future (single-source support for Python 3 and 2)
python-future:
python-future: Future is the missing compatibility layer between Python 2 and
python-future: Python 3. It allows you to use a single, clean Python 3.x-compatible
python-future: codebase to support both Python 2 and Python 3 with minimal overhead.
python-future:
python-future:
python-future:
python-future:
python-future:
python-future:

9
l/qt5-webkit/doinst.sh

@ -1,9 +0,0 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi

160
l/qt5-webkit/qt5-webkit.SlackBuild

@ -1,160 +0,0 @@
#!/bin/sh
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
# Copyright 2006-2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Adapted from Eric Hameleers' script.
#
# Latest QtWebKit sourcecode is available at:
# <https://github.com/qt/qtwebkit>.
#
# Depends: l/qt5
# Source package infos
NAMESRC=${NAMESRC:-qtwebkit}
VERSION=${VERSION:-5.212.0-alpha3}
SLCKVER=${VERSION/-//}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-https://github.com/qt/qtwebkit/archive/v$VERSION.tar.gz}
# Build infos
NAMEPKG=${NAMEPKG:-qt5-webkit}
BUILD=${BUILD:-1}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity check
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS=""
SLKLDFLAGS="-L/usr/lib64"
LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
# To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
# More permanent solution is to patch gcc:
# http://bazaar.launchpad.net/~linaro-toolchain-dev/gcc-linaro/4.6/revision/106731
SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -fno-strict-volatile-bitfields"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
fi
case "$ARCH" in
arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
*) TARGET=$ARCH-slackware-linux ;;
esac
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS -fpermissive -fno-strict-aliasing"
export OPENSOURCE_CXXFLAGS="$SLKCFLAGS -fpermissive -fno-strict-aliasing"
export QTDIR="/usr/lib$LIBDIRSUFFIX/qt5"
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha256sum -c $ARCHIVE.sha256
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Extract
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
# Fix compilation against icu4c 65.1
cat $CWD/qt5-webkit.icu65.patch | patch -p0 || exit 1
# Compile
mkdir build
cd build
cmake .. -DPORT=Qt -DQt5_DIR=/usr/lib$LIBDIRSUFFIX/qt5
make -j $JOBS
make install DESTDIR=$PKG
cd ..
# Strip binaries the Slackware way:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Fix the path in prl files:
find "$PKG/usr/lib$LIBDIRSUFFIX" -type f -name '*.prl' \
-exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d;s/\(QMAKE_PRL_LIBS =\).*/\1/' {} \;
# Add a documentation directory:
mkdir -p $PKG/usr/doc/$NAMEPKG-$SLCKVER
install -m 644 README LICENSE.LGPLv21 $PKG/usr/doc/$NAMEPKG-$SLCKVER
# Copy slack-desck and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Add dependency infos
cat <<EOF > $PKG/install/slack-required
hyphen
qt5
EOF
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$SLCKVER-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

47
l/qt5-webkit/qt5-webkit.icu65.patch

@ -1,47 +0,0 @@
# -----------------------------------------------------------------------------
# Patch obtained from FreeBSD:
# https://svnweb.freebsd.org/ports/head/www/qt5-webkit/files/patch-Source_WebCore_dom_Document.cpp?view=co
# -----------------------------------------------------------------------------
Regressed by https://github.com/unicode-org/icu/commit/480bec3ea652
In file included from Source/WebCore/dom/DOMAllInOne.cpp:67:
Source/WebCore/dom/Document.cpp:4410:39: error: expected ';' after do/while statement
U16_NEXT(characters, i, length, c)
^
;
Source/WebCore/dom/Document.cpp:4415:43: error: expected ';' after do/while statement
U16_NEXT(characters, i, length, c)
^
;
Source/WebCore/dom/Document.cpp:4477:46: error: expected ';' after do/while statement
U16_NEXT(qualifiedName, i, length, c)
^
;
--- Source/WebCore/dom/Document.cpp.orig 2019-06-26 16:25:02 UTC
+++ Source/WebCore/dom/Document.cpp
@@ -4407,12 +4407,12 @@ static bool isValidNameNonASCII(const UChar* character
unsigned i = 0;
UChar32 c;
- U16_NEXT(characters, i, length, c)
+ U16_NEXT(characters, i, length, c);
if (!isValidNameStart(c))
return false;
while (i < length) {
- U16_NEXT(characters, i, length, c)
+ U16_NEXT(characters, i, length, c);
if (!isValidNamePart(c))
return false;
}
@@ -4474,7 +4474,7 @@ bool Document::parseQualifiedName(const String& qualif
for (unsigned i = 0; i < length;) {
UChar32 c;
- U16_NEXT(qualifiedName, i, length, c)
+ U16_NEXT(qualifiedName, i, length, c);
if (c == ':') {
if (sawColon) {
ec = NAMESPACE_ERR;

1
l/qt5-webkit/qtwebkit-5.212.0-alpha3.tar.gz.sha256

@ -1 +0,0 @@
02da485e8c53a4d6d51426bf9296c8454208804b49a63d870d26a301457ac2ef qtwebkit-5.212.0-alpha3.tar.gz

12
l/qt5-webkit/slack-desc

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
qt5-webkit: qt5-webkit (Qt based web browser engine)
qt5-webkit:
qt5-webkit: Qtwebkit is a Qt based web browser engine.
qt5-webkit: This package contains the Qt5 based version.
qt5-webkit:
qt5-webkit: Homepage: http://qt-project.org
qt5-webkit:
qt5-webkit:
qt5-webkit:
qt5-webkit:
qt5-webkit:

9
l/qt5/doinst.sh

@ -1,9 +0,0 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi

11
l/qt5/patches/qt5.mysql.h.diff

@ -1,11 +0,0 @@
--- qt-everywhere-opensource-src-5.9.0/qtbase/src/plugins/sqldrivers/mysql/qsql_mysql_p.h.orig 2017-05-26 14:43:31.000000000 +0200
+++ qt-everywhere-opensource-src-5.9.0/qtbase/src/plugins/sqldrivers/mysql/qsql_mysql_p.h 2017-06-17 22:11:34.211899826 +0200
@@ -57,7 +57,7 @@
#include <QtCore/qt_windows.h>
#endif
-#include <mysql.h>
+#include <mysql/mysql.h>
#ifdef QT_PLUGIN
#define Q_EXPORT_SQLDRIVER_MYSQL

14
l/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch

@ -1,14 +0,0 @@
diff -up qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in.foo qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in
--- qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in.foo 2019-04-30 15:18:24.886346423 -0500
+++ qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in 2019-04-30 15:19:48.303873296 -0500
@@ -66,8 +66,10 @@ unset(_GL_INCDIRS)
# Don\'t check for existence of the "_qt5gui_OPENGL_INCLUDE_DIR" because it is
# optional.
+if (NOT ${_qt5gui_OPENGL_INCLUDE_DIR} STREQUAL "/usr/include")
list(APPEND Qt5Gui_INCLUDE_DIRS ${_qt5gui_OPENGL_INCLUDE_DIR})
set_property(TARGET Qt5::Gui APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES ${_qt5gui_OPENGL_INCLUDE_DIR})
+endif()
unset(_qt5gui_OPENGL_INCLUDE_DIR CACHE)

35
l/qt5/patches/qt5.qtbug-76255.patch

@ -1,35 +0,0 @@
From cc32a691936f37eaaec618a71edd62f896009c9d Mon Sep 17 00:00:00 2001
From: Joerg Bornemann <joerg.bornemann@qt.io>
Date: Fri, 06 Sep 2019 10:54:44 +0200
Subject: [PATCH] Fix CMake config files for -libdir different from "lib"
When Qt was configured with -libdir different from "lib", one could not
build with CMake whenever a static lib was pulled in (e.g. uitools).
Do not hard-code "/lib" but use the correct variable also for static
libraries.
Fixes: QTBUG-76255
Change-Id: I28c6861752e29e461247628d2b1f8a9ec32f0790
Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
Reviewed-by: Fabian Vogt <fabian@ritter-vogt.de>
---
diff --git a/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in b/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
index d4fd057..f4a34d6 100644
--- a/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
+++ b/mkspecs/features/data/cmake/Qt5BasicConfig.cmake.in
@@ -53,7 +53,11 @@
set(_lib_deps)
set(_link_flags)
- get_filename_component(_qt5_install_libs \"${_qt5$${CMAKE_MODULE_NAME}_install_prefix}/lib\" ABSOLUTE)
+!!IF isEmpty(CMAKE_LIB_DIR_IS_ABSOLUTE)
+ set(_qt5_install_libs \"${_qt5$${CMAKE_MODULE_NAME}_install_prefix}/$${CMAKE_LIB_DIR}\")
+!!ELSE
+ set(_qt5_install_libs \"$${CMAKE_LIB_DIR}\")
+!!ENDIF
if(EXISTS \"${prl_file_location}\")
file(STRINGS \"${prl_file_location}\" _prl_strings REGEX \"QMAKE_PRL_LIBS_FOR_CMAKE[ \\t]*=\")

89
l/qt5/patches/qt5.qtbug-77037.patch

@ -1,89 +0,0 @@
From 0b57f15958f07ef12c8944d6db7a33a6fe9d9c59 Mon Sep 17 00:00:00 2001
From: Allan Sandfeld Jensen <allan.jensen@qt.io>
Date: Mon, 23 Sep 2019 13:49:53 +0200
Subject: Fix building with pulseaudio 13
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
The function signature changed though the ABI stayed the same.
Change-Id: I86ca361b5e4f0c523e1031910df438c23beee876
Fixes: QTBUG-77037
Reviewed-by: Jüri Valdmann <juri.valdmann@qt.io>
---
chromium/media/audio/pulse/pulse.sigs | 16 ++++++++--------
chromium/media/audio/pulse/pulse_stub_header.fragment | 11 +++++++++++
2 files changed, 19 insertions(+), 8 deletions(-)
diff --git a/chromium/media/audio/pulse/pulse.sigs b/chromium/media/audio/pulse/pulse.sigs
index 8b5888786a9..daaeb149c13 100644
--- a/chromium/media/audio/pulse/pulse.sigs
+++ b/chromium/media/audio/pulse/pulse.sigs
@@ -24,11 +24,11 @@ pa_operation* pa_context_get_source_info_by_index(pa_context* c, uint32_t idx, p
pa_operation* pa_context_get_source_info_by_name(pa_context* c, const char* name, pa_source_info_cb_t cb, void *userdata);
pa_operation* pa_context_get_source_info_list(pa_context* c, pa_source_info_cb_t cb, void* userdata);
pa_operation* pa_context_get_sink_info_list(pa_context* c, pa_sink_info_cb_t cb, void* userdata);
-pa_context_state_t pa_context_get_state(pa_context* c);
+pa_context_state_t pa_context_get_state(const_pa_context_ptr c);
pa_context* pa_context_new(pa_mainloop_api* mainloop, const char* name);
pa_operation* pa_context_set_source_volume_by_index(pa_context* c, uint32_t idx, const pa_cvolume* volume, pa_context_success_cb_t cb, void* userdata);
void pa_context_set_state_callback(pa_context* c, pa_context_notify_cb_t cb, void* userdata);
-pa_operation_state_t pa_operation_get_state(pa_operation* o);
+pa_operation_state_t pa_operation_get_state(const_pa_operation_ptr o);
void pa_context_unref(pa_context* c);
void pa_operation_unref(pa_operation* o);
int pa_stream_begin_write(pa_stream* p, void** data, size_t* nbytes);
@@ -38,23 +38,23 @@ pa_operation* pa_stream_cork(pa_stream* s, int b, pa_stream_success_cb_t cb, voi
int pa_stream_disconnect(pa_stream* s);
int pa_stream_drop(pa_stream *p);
pa_operation* pa_stream_flush(pa_stream* s, pa_stream_success_cb_t cb, void* userdata);
-uint32_t pa_stream_get_device_index(pa_stream* s);
+uint32_t pa_stream_get_device_index(const_pa_stream_ptr s);
int pa_stream_get_latency(pa_stream* s, pa_usec_t* r_usec, int* negative);
-pa_stream_state_t pa_stream_get_state(pa_stream* p);
+pa_stream_state_t pa_stream_get_state(const_pa_stream_ptr p);
pa_stream* pa_stream_new(pa_context* c, const char* name, const pa_sample_spec* ss, const pa_channel_map * map);
pa_stream* pa_stream_new_with_proplist(pa_context* c, const char* name, const pa_sample_spec* ss, const pa_channel_map* map, pa_proplist* p);
pa_proplist* pa_proplist_new(void);
-int pa_proplist_contains(pa_proplist* p, const char* key);
+int pa_proplist_contains(const_pa_proplist_ptr p, const char* key);
void pa_proplist_free(pa_proplist* p);
-const char* pa_proplist_gets(pa_proplist* p, const char* key);
+const char* pa_proplist_gets(const_pa_proplist_ptr p, const char* key);
int pa_proplist_sets(pa_proplist* p, const char* key, const char* value);
-size_t pa_stream_readable_size(pa_stream *p);
+size_t pa_stream_readable_size(const_pa_stream_ptr p);
int pa_stream_peek(pa_stream* p, const void** data, size_t* nbytes);
void pa_stream_set_read_callback(pa_stream* p, pa_stream_request_cb_t cb, void* userdata);
void pa_stream_set_state_callback(pa_stream* s, pa_stream_notify_cb_t cb, void* userdata);
int pa_stream_write(pa_stream* p, const void* data, size_t nbytes, pa_free_cb_t free_cb, int64_t offset, pa_seek_mode_t seek);
void pa_stream_set_write_callback(pa_stream *p, pa_stream_request_cb_t cb, void *userdata);
void pa_stream_unref(pa_stream* s);
-int pa_context_errno(pa_context *c);
+int pa_context_errno(const_pa_context_ptr c);
const char* pa_strerror(int error);
pa_cvolume* pa_cvolume_set(pa_cvolume* a, unsigned channels, pa_volume_t v);
diff --git a/chromium/media/audio/pulse/pulse_stub_header.fragment b/chromium/media/audio/pulse/pulse_stub_header.fragment
index 2a2d3e7552b..cdaa841b29f 100644
--- a/chromium/media/audio/pulse/pulse_stub_header.fragment
+++ b/chromium/media/audio/pulse/pulse_stub_header.fragment
@@ -5,4 +5,15 @@ extern "C" {
#include <pulse/pulseaudio.h>
+#if PA_MAJOR > 12
+typedef const pa_context* const_pa_context_ptr;
+typedef const pa_operation* const_pa_operation_ptr;
+typedef const pa_proplist* const_pa_proplist_ptr;
+typedef const pa_stream* const_pa_stream_ptr;
+#else
+typedef pa_context* const_pa_context_ptr;
+typedef pa_operation* const_pa_operation_ptr;
+typedef pa_proplist* const_pa_proplist_ptr;
+typedef pa_stream* const_pa_stream_ptr;
+#endif
}
--
cgit v1.2.1

13
l/qt5/patches/qt5.qtbug-77364.patch

@ -1,13 +0,0 @@
diff --git a/src/widgets/kernel/qwidget.cpp b/src/widgets/kernel/qwidget.cpp
index 04290a4ce1..27773d5762 100644
--- a/src/widgets/kernel/qwidget.cpp
+++ b/src/widgets/kernel/qwidget.cpp
@@ -6446,7 +6446,7 @@ void QWidget::setFocusProxy(QWidget * w)
if (changingAppFocusWidget) {
QWidget *newDeepestFocusProxy = d_func()->deepestFocusProxy();
- QApplicationPrivate::focus_widget = newDeepestFocusProxy ? newDeepestFocusProxy : this;
+ QApplicationPrivate::setFocusWidget(newDeepestFocusProxy ? newDeepestFocusProxy : this, Qt::NoFocusReason);
}
}

17
l/qt5/profile.d/qt5.csh

@ -1,17 +0,0 @@
#!/bin/csh
# Environment path variables for the Qt package:
if ( ! $?QT5DIR ) then
# It's best to use the generic directory to avoid
# compiling in a version-containing path:
if ( -d /usr/lib@LIBDIRSUFFIX@/qt5 ) then
setenv QT5DIR /usr/lib@LIBDIRSUFFIX@/qt5
else
# Find the newest Qt directory and set $QT5DIR to that:
foreach qtd ( /usr/lib@LIBDIRSUFFIX@/qt5-* )
if ( -d $qtd ) then
setenv QT5DIR $qtd
endif
end
endif
endif
set path = ( $path $QT5DIR/bin )

17
l/qt5/profile.d/qt5.sh

@ -1,17 +0,0 @@
#!/bin/sh
# Environment variables for the Qt package.
#
# It's best to use the generic directory to avoid
# compiling in a version-containing path:
if [ -d /usr/lib@LIBDIRSUFFIX@/qt5 ]; then
QT5DIR=/usr/lib@LIBDIRSUFFIX@/qt5
else
# Find the newest Qt directory and set $QT5DIR to that:
for qtd in /usr/lib@LIBDIRSUFFIX@/qt5-* ; do
if [ -d $qtd ]; then
QT5DIR=$qtd
fi
done
fi
PATH="$PATH:$QT5DIR/bin"
export QT5DIR

1
l/qt5/qt-everywhere-src-5.13.1.tar.xz.sha256

@ -1 +0,0 @@
adf00266dc38352a166a9739f1a24a1e36f1be9c04bf72e16e142a256436974e qt-everywhere-src-5.13.1.tar.xz

337
l/qt5/qt5.SlackBuild

@ -1,337 +0,0 @@
#!/bin/sh
# Build script for Slackware
# Copyright (C) 2017,2019 Damien Goutte-Gattat
# Copyright (C) 2006-2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Adapted from Eric Hameleers' script.
#
# Latest Qt sourcecode is available at: <http://www.qt.io/>.
#
# Depends: l/libxkbcommon
# Source package infos
NAMESRC=${NAMESRC:-qt}
VERSION=${VERSION:-5.13.1}
ARCHIVE=${ARCHIVE:-$NAMESRC-everywhere-src-$VERSION.tar.xz}
WGET=${WGET:-http://download.qt.io/archive/qt/5.13/$VERSION/single/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-qt5}
BUILD=${BUILD:-1}
ARCH=${ARCH:-$(uname -m | sed 's/^i.86$/i486/;s/^arm.*/arm/')}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity check
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS=""
SLKLDFLAGS="-L/usr/lib64"
LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
# To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
# More permanent solution is to patch gcc:
# http://bazaar.launchpad.net/~linaro-toolchain-dev/gcc-linaro/4.6/revision/106731
SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -fno-strict-volatile-bitfields"
SLKLDFLAGS=""
LIBDIRSUFFIX=""